DescriptiveErrorStrategy (Groovy 5.0.6)

Package: org.apache.groovy.parser.antlr4.internal

## [Java] Class DescriptiveErrorStrategy

- org.apache.groovy.parser.antlr4.internal.DescriptiveErrorStrategy

-     public class DescriptiveErrorStrategy
      extends BailErrorStrategy

  Provide friendly error messages when parsing errors occurred.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DescriptiveErrorStrategy(CharStream charStream)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `createFailedPredicateErrorMessage(Parser recognizer, FailedPredicateException e)`
    `` | `protected String` | `createInputMismatchErrorMessage(Parser recognizer, InputMismatchException e)`
    `` | `protected String` | `createNoViableAlternativeErrorMessage(Parser recognizer, NoViableAltException e)`
    `` | `public void` | `recover(Parser recognizer, RecognitionException e)`
    `` | `public Token` | `recoverInline(Parser recognizer)`
    `` | `protected void` | `reportFailedPredicate(Parser recognizer, FailedPredicateException e)`
    `` | `protected void` | `reportInputMismatch(Parser recognizer, InputMismatchException e)`
    `` | `protected void` | `reportNoViableAlternative(Parser recognizer, NoViableAltException e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BailErrorStrategy` | `equals, getClass, hashCode, inErrorRecoveryMode, notify, notifyAll, recover, recoverInline, reportError, reportMatch, reset, sync, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public DescriptiveErrorStrategy(CharStream charStream)

  - ### Method Detail

    - #### protected String createFailedPredicateErrorMessage(Parser recognizer, FailedPredicateException e)

    - #### protected String createInputMismatchErrorMessage(Parser recognizer, InputMismatchException e)

    - #### protected String createNoViableAlternativeErrorMessage(Parser recognizer, NoViableAltException e)

    - #### @Override
      public void recover(Parser recognizer, RecognitionException e)

    - #### @Override
      public Token recoverInline(Parser recognizer)

    - #### @Override
      protected void reportFailedPredicate(Parser recognizer, FailedPredicateException e)

    - #### @Override
      protected void reportInputMismatch(Parser recognizer, InputMismatchException e)

    - #### @Override
      protected void reportNoViableAlternative(Parser recognizer, NoViableAltException e)